package beilv.stadium.service;


import beilv.stadium.domain.Stadium;
import beilv.stadium.domain.StadiumBO;

import java.util.List;

public interface IStadiumService {
    String toBeStadium(Stadium stadium);

    int cancellStadium(Stadium stadium);

    int refundStadium(Stadium stadium);

    List<Stadium> getStadiumList(StadiumBO stadiumBO);

//    int havePaidStadium(Stadium stadium);

    Boolean paymentVerification(Stadium stadium);

    List<Stadium> getTakePartList(Stadium stadium);

    int closeStadiumById(String orderId);
}
